## com.arsdigita.cms.docmgr.installer
Class Initializer

    java.lang.Object
      com.arsdigita.runtime.CompoundInitializer
          com.arsdigita.cms.docmgr.installer.Initializer

All Implemented Interfaces:
  com.arsdigita.runtime.Initializer

public class Initializer
extends com.arsdigita.runtime.CompoundInitializer

Initializes the document manager package, sets up the DomainFactory, registers knowledge types and portlets.

Version:
  $Revision: #11 $ $Date: 2004/01/14 $
Author:
  Stefan Deusch, David Dao

Field Summary
`static String` `CONTENT_SECTION`
`static String` `INTERNAL_GROUP_ID`
`static String` `LEGACY_FOLDER_NAME`

Fields inherited from class com.arsdigita.runtime.CompoundInitializer
`versionId`

Constructor Summary
`Initializer()`

Method Summary
`com.arsdigita.initializer.Configuration` `getConfiguration()` Returns the configuration object used by this initializer.
`void` `init(com.arsdigita.runtime.DomainInitEvent e)`
`void` `shutdown()` Shutdown the document manager.
`void` `startup()` Called on startup.

Methods inherited from class com.arsdigita.runtime.CompoundInitializer
`add, init, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT_SECTION

    public static final String CONTENT_SECTION

See Also:
  Constant Field Values

### INTERNAL_GROUP_ID

    public static final String INTERNAL_GROUP_ID

See Also:
  Constant Field Values

### LEGACY_FOLDER_NAME

    public static final String LEGACY_FOLDER_NAME

See Also:
  Constant Field Values

Constructor Detail

### Initializer

    public Initializer()

Method Detail

### getConfiguration

    public com.arsdigita.initializer.Configuration getConfiguration()

  Returns the configuration object used by this initializer.

### init

    public void init(com.arsdigita.runtime.DomainInitEvent e)

### startup

    public void startup()

  Called on startup.

### shutdown

    public void shutdown()

  Shutdown the document manager.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC